DocsAPI ReferenceChat/bff/chat/detail
getChatAdmin BFF

/bff/chat/detail

Chat room detail with all messages

ChatgetBffChatDetail

Parameters

1 query

1 total
Query · 1
idstringRequired
Length: 2424

Request

GET /bff/chat/detail

get
curl -X GET "https://api.bizkithub.com/bff/chat/detail?id=example_id" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "state": "ok",
  "room": {
    "id": "example_id",
    "title": "example_title",
    "isMarkedProblematic": false,
    "hasProblematicMessage": false,
    "insertedDate": "example_insertedDate",
    "updatedDate": "example_updatedDate",
    "metadata": {}
  },
  "messages": [
    {
      "id": "example_id",
      "content": "example_content",
      "isMarkedProblematic": false,
      "insertedDate": "example_insertedDate",
      "metadata": {}
    }
  ]
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key